class Circle < ApplicationRecord
  SEARCHABLE_FIELDS = {
    :name => {:label => _('Name'), :weight => 1}
  }

  _('Circle')

  has_many :profile_followers
  belongs_to :person

  attr_accessible :name, :person, :profile_type

  validates :name, presence: true
  validates :person_id, presence: true
  validates :profile_type, presence: true

  validates :person_id, :uniqueness => {:scope => :name, :message => "can't add two circles with the same name"}

  scope :by_owner, -> person{
    where(:person => person)
  }

  scope :with_name, -> name{
    where(:name => name)
  }
end
