Feature: follow profile
  As a noosfero user
  I want to follow a profile
  So I can receive notifications from it

  Background:
    Given the following community
      | identifier  | name          |
      | nightswatch | Nights Watch  |
    And the following users
      | login    |
      | johnsnow |
    And the user "johnsnow" has the following categories to follow
      | name    |
      | Family  |
      | Work    |

  @selenium
  Scenario: Common noofero user follow a community with a category
    Given I am logged in as "johnsnow"
    When I go to nightswatch's homepage
    When I follow "Follow"
    And I should see "Family"
    And I should see "Work"
    And I should see "No Category"
    Then "johnsnow" should be a follower of "nightswatch" with no category
    When I follow "Work"
    Then "johnsnow" should be a follower of "nightswatch" with category "Work"

  @selenium
  Scenario: Common noofero user follow a community with no category
    Given I am logged in as "johnsnow"
    When I go to nightswatch's homepage
    When I follow "Follow"
    When I follow "No Category"
    Then "johnsnow" should be a follower of "nightswatch" with no category

  @selenium
  Scenario: Common noofero user follow a community with a new category
    Given I am logged in as "johnsnow"
    When I go to nightswatch's homepage
    When I follow "Follow"
    And I fill in "category_name" with "Winterfell"
    When I click on anything with selector "#new-category-submit-inline"
    And I wait 3 second
    Then "johnsnow" should be a follower of "nightswatch" with category "Winterfell"

  @selenium
  Scenario: Common noofero user unfollow a community
    Given "johnsnow" is a follower of "nightswatch" with no category
    And I am logged in as "johnsnow"
    When I go to nightswatch's homepage
    When I follow "Unfollow"
    Then "johnsnow" should not be a follower of "nightswatch"

